<form class="{{cssClass}} crew-sheet" autocomplete="off">
    <section class="actor-sheet__data">
        {{> "systems/hack-the-planet/templates/sheets/parts/crew_data.hbs" }}
        <div class="crew-sheet__reputation_level">
            {{> "systems/hack-the-planet/templates/parts/track.hbs" title='HTP.ReputationShort' tooltip='HTP.Reputation'
                    id='crew-reputation'
                    max=system.reputation.max stat='system.reputation.value' cancelable=true
                    value=system.reputation.value disabled-boxes=system.reputation.turfs }}
            <div class="character-track">
                <h4>{{localize 'HTP.Turfs' }}</h4>
            </div>
            {{> "systems/hack-the-planet/templates/sheets/parts/hold-track.hbs" key="system.hold" value=system.hold}}

        </div>
        <div class="crew-sheet__resources">
            {{> "systems/hack-the-planet/templates/parts/resource-list.hbs" resources=crew_type.system.resources can_edit=false}}
        </div>
        <div class="flex-horizontal" style="justify-content: flex-start; gap:0;">
            {{> "systems/hack-the-planet/templates/parts/track.hbs" title='HTP.Heat' tooltip='HTP.Heat' id='crew-heat'
                    max=9 stat='system.heat' cancelable=true
                    value=system.heat  }}
            {{> "systems/hack-the-planet/templates/parts/track.hbs" title='HTP.Wanted' id='crew-wanted'
                    max=4 stat='system.wanted' cancelable=true
                    value=system.wanted }}
            {{> "systems/hack-the-planet/templates/parts/track.hbs" title='HTP.VehicleFuel' id='crew-fuel'
                    max=system.fuel.max stat='system.fuel.value'
                    value=system.fuel.value disabled=system.fuel.disabled }}
        </div>
        <div class="flex-horizontal" style="justify-content: flex-start; gap:0;">
            <div id="crew-joules" class="character-track">
                <h4>{{localize 'HTP.Joules'}}</h4>
                <div class="coins">
                    {{#multiboxes system.coins.value}}
                        {{#times_from_0 system.coins.max}}
                            <input type="radio" id="coins-{{../actor.id}}-hands-{{this}}" name="system.coins.value"
                                   value="{{this}}" {{checked (lte this system.coins.value)}} data-dtype="Number">
                            <label for="coins-{{../actor.id}}-hands-{{this}}">
                                {{#if (eq this 0)}}<i class="fas fa-ban"></i>{{/if}}
                            </label>
                        {{/times_from_0}}
                    {{/multiboxes}}
                </div>
            </div>
            <div id="crew-vault" class="character-track">
                <h4>{{localize 'HTP.Vaults'}}</h4>
                <div class="coins">
                    {{#multiboxes system.vault.value}}
                        {{#times_from_0 system.vault.max}}
                            <input type="radio" id="vault-{{../actor.id}}-hands-{{this}}" name="system.vault.value"
                                   {{#if (gt this ../system.vault.enabled)}}disabled="disabled"{{/if}}
                                   value="{{this}}" {{checked (lte this system.vault.value)}} data-dtype="Number">
                            <label for="vault-{{../actor.id}}-hands-{{this}}">
                                {{#if (eq this 0)}}<i class="fas fa-ban"></i>{{/if}}
                            </label>
                        {{/times_from_0}}
                    {{/multiboxes}}
                </div>
            </div>
        </div>

    </section>
    <section class="actor-sheet__playbook">
        <div class="header">
            {{#if crew_type}}
                <h1>{{crew_type.name}}</h1>
                <h2>{{crew_type.system.tagline}}</h2>
            {{/if}}
        </div>

        <div class="tier-experience">
            {{> "systems/hack-the-planet/templates/parts/track.hbs" title='HTP.CrewXP' id='crew-experience'
                    max=10 stat='system.experience' cancelable=true
                    value=system.experience }}
            {{> "systems/hack-the-planet/templates/parts/track.hbs" title='HTP.Tier' id='crew-tier'
                    max=4 stat='system.tier' roll=true roll-attribute='tier' cancelable=true
                    value=system.tier }}
        </div>
        <nav class="tabs">
            <a data-tab="abilities">{{localize 'HTP.Abilities'}}</a>
            <a data-tab="friends">{{localize 'HTP.Contacts'}}</a>
            <a data-tab="upgrades">{{localize 'HTP.Upgrades'}}</a>
            <a data-tab="xp">XP</a>
            <a data-tab="clocks">{{localize 'HTP.Clocks'}}</a>

        </nav>
        <div class="tab-content">
            <div class="abilities tab" data-tab="abilities">
                {{> 'systems/hack-the-planet/templates/sheets/tabs/abilites.hbs' }}
            </div>
            <div class="friends tab" data-tab="friends">
                {{> 'systems/hack-the-planet/templates/sheets/tabs/friends.hbs' contact=true }}
            </div>
            <div class="upgrades tab" data-tab="upgrades">
                {{> 'systems/hack-the-planet/templates/sheets/tabs/upgrades.hbs' }}
            </div>
            <div class="experience tab" data-tab="xp">
                {{> 'systems/hack-the-planet/templates/sheets/tabs/experience.hbs' }}
            </div>
            <div class="clocks tab" data-tab="clocks">
                {{> 'systems/hack-the-planet/templates/sheets/tabs/clocks.hbs' }}
            </div>
        </div>

        <div class="hunting-grounds">
            <strong>{{localize 'HTP.HuntingGrounds'}}: </strong>
            {{#each crew_type.system.hunting_grounds ~}}
                {{#if (ne this '')}}
                    {{#unless @first}} - {{/unless}}
                    <span data-hunting-grounds="{{this}}"
                          class="{{#if (eq ../system.huntingGround this)}}active{{/if}}">
                        {{~this~}}
                    </span>
                {{/if}}
            {{~/each}}
        </div>
    </section>
    <section class="actor-sheet__stats">
        {{#if cohorts}}
            <div class="cohorts">
                {{#each cohorts as |cohort|}}
                    <div class="cohort">
                        {{> 'systems/hack-the-planet/templates/sheets/parts/cohort.hbs' harms=@root.cohort_harms cohort=cohort}}
                    </div>
                {{/each}}
            </div>
        {{/if}}
        {{#if vehicles}}
            <div class="cohorts vehicles">
                {{#each vehicles as |vehicle|}}
                    <div class="cohort vehicle">
                        {{> 'systems/hack-the-planet/templates/sheets/parts/cohort.hbs' harms=@root.cohort_harms cohort=vehicle vehicle=true}}
                    </div>
                {{/each}}
            </div>
        {{/if}}
    </section>
</form>
